Bug 1286666 - Missing port selection in cloud infrastructure providers
Missing port selection in cloud infrastructure providers
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 08:09 EST by Ronnie Rasouli
Modified: 2015-12-08 08:50 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:50:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CFME missing API port (63.02 KB, image/png)
2015-11-30 08:09 EST, Ronnie Rasouli
no flags Details

  None (edit)
Description Ronnie Rasouli 2015-11-30 08:09:42 EST
Created attachment 1100498 [details]
CFME missing API port

Description of problem:

Sometimes port selection is different than 5000:
export OS_AUTH_URL=https://192.0.2.2:13000/v2.0

Undercloud in SSH is configured to port 13000 over SSL.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.login to CFME
2.Add New Infrastructure Provider 
3.add hostname or IP -> port selection is missing

Actual results:
Always reproduced

Expected results:
Customer should have the ability to select the API port

Additional info:
Comment 3 Milan Falešník 2015-12-02 05:42:16 EST
Verified in 5.5.0.13, the Openstack Infrastructure provider has port selection available.
Comment 4 CFME Bot 2015-12-02 14:45:13 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/e772172148d25fec2f729214bdc1c80d072c72ea

commit e772172148d25fec2f729214bdc1c80d072c72ea
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Mon Nov 30 14:04:18 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Mon Nov 30 14:12:10 2015 +0100

    OpenstackInfra allow to set keystoen api port
    
    OpenstackInfra allow to set keystoen api port
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1286666

 app/views/shared/views/ems_common/_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 CFME Bot 2015-12-02 15:30:04 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=0a310277d26c5f0bedd1bc379dcd3ce1c91cf1fb

commit 0a310277d26c5f0bedd1bc379dcd3ce1c91cf1fb
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Mon Nov 30 14:04:18 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Mon Nov 30 14:14:49 2015 +0100

    OpenstackInfra allow to set keystoen api port
    
    OpenstackInfra allow to set keystoen api port
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1286666

 app/views/shared/views/ems_common/_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 6 CFME Bot 2015-12-02 15:30:22 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=e4269a91e1e8e117f618a021f5fac930317cadc7

commit e4269a91e1e8e117f618a021f5fac930317cadc7
Merge: 2ee029f 0a31027
Author:     Greg Blomquist <gblomqui@redhat.com>
AuthorDate: Mon Nov 30 10:00:43 2015 -0500
Commit:     Greg Blomquist <gblomqui@redhat.com>
CommitDate: Mon Nov 30 10:00:43 2015 -0500

    Merge branch 'bz1286666' into '5.5.z'
    
    OpenstackInfra allow to set keystone api port
    
    OpenstackInfra allow to set keystone api port
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1286666
    
    Clean cherry-pick of:
    https://github.com/ManageIQ/manageiq/pull/5639
    
    Not merged upstream yet
    
    See merge request !543

 app/views/shared/views/ems_common/_form.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 errata-xmlrpc 2015-12-08 08:50:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.